Bug 1347797 - Event Monitor Connection refused error using AWS SQS
Summary: Event Monitor Connection refused error using AWS SQS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.5.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.5.5
Assignee: Marcel Hild
QA Contact: Matouš Mojžíš
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-17 16:33 UTC by Jared Deubel
Modified: 2019-11-14 08:25 UTC (History)
10 users (show)

Fixed In Version: 5.5.5.2
Doc Type: Bug Fix
Doc Text:
Previously, event monitor connection refused error using AWS SQS. When terminating a system it showed powering-off state for over an hour. This patch adds proxy_uri to AWS client in eventcatcher which has resolved the issue.
Clone Of:
Environment:
Last Closed: 2016-07-26 15:35:40 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1488 normal SHIPPED_LIVE CFME 5.5.5 bug fixes and enhancement update 2016-07-26 19:28:27 UTC

Comment 12 errata-xmlrpc 2016-07-26 15:35:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1488.html

Comment 14 Marcel Hild 2016-08-16 16:14:23 UTC
@Matouš squid logs should have connects to sns and sqs services described here:

http://docs.aws.amazon.com/general/latest/gr/rande.html#sns_region

I only see ec2 and cloudformation.

Does the evm.log or aws.log have a similar warning as here https://bugzilla.redhat.com/show_bug.cgi?id=1347797#c0 ?

Comment 15 Matouš Mojžíš 2016-08-18 10:11:44 UTC
Verified in 5.5.5.5. I can see on proxy server traffic from appliance to amazon SQS servers.


Note You need to log in before you can comment on or make changes to this bug.